<?xml version="1.0" encoding="windows-1251"?>
<Root Caption="Отчет" Params="CcguiCurrReportEditor" Position="CcSmetaReportPosition" Report="CcLSReport" Error="CcShowErrorReport">
  <Descript Position="CcSmetaReportPosition">
    <Builder Base="CcDBRTFReportBuilder" User="CcDBExcelReportBuilder" Formula="1">
      <Node Code="CcDBRTFReportBuilder" Name="в RTF"/>
      <Node Code="CcDBExcelReportBuilder" Name="в Excel" Formula="1"/>
    </Builder>
    <Page Name="Основные" Class="CcguiReportBaseDescript" Size="0" State="1" MarginLeft="1" MarginRight="1" MarginTop="1" MarginBottom="1" MarginHeadery="1" MarginFootery="1" Orientation="1" StartPageNum="1">
      <UserValues Size="" State="" MarginLeft="" MarginRight="" MarginTop="" MarginBottom="" MarginHeadery="" MarginFootery="" Orientation="" StartPageNum=""/>
    </Page>
    <Columns Name="Колонки" Class="CcguiReportColumnsDescript">
      <Node Code="Col1" Name="Наименование позиции оглавления" Width="5" Type="0" Visible="1">
        <UserValues Type="" Width=""/>
      </Node>
      <Node Code="Col2" Width="2" Type="0" Visible="1" Name="№ п.п.">
        <UserValues Type="" Width="" Visible=""/>
      </Node>
      <Node Code="Col3" Width="3" Type="0" Visible="1" Name="Конструктивный элемент. Код">
        <UserValues Type="" Width="" Visible=""/>
      </Node>
      <Node Code="Col4" Width="2" Type="2" Visible="1" Name="Конструктивный элемент. Наименование">
        <UserValues Type="" Width="" Visible=""/>
      </Node>
      <Node Code="Col5" Width="5" Type="0" Visible="1" Name="Норматив. Короткое наименование">
        <UserValues Type="" Width="" Visible=""/>
      </Node>
      <Node Code="Col6" Width="4" Type="0" Visible="1" Name="Норматив. Код">
        <UserValues Type="" Width="" Visible=""/>
      </Node>
    </Columns>
    <Styles Name="Шрифты" Class="CcguiReportStylesDescript">
      <Node Code="Subscript" Name="Подстрочник" FontName="Times New Roman" FontSize="7" FontStyle="0"/>
      <Node Name="Основной шрифт" FontName="Times New Roman" FontSize="8" FontStyle="0">
        <UserValues FontName="" FontSize="" FontStyle=""/>
      </Node>
      <Node Code="DocName" Name="Наименование документа" FontName="Times New Roman" FontSize="12" FontStyle="1">
        <UserValues FontName="" FontSize="" FontStyle=""/>
      </Node>
      <Node Code="DocNote" Name="Примечание к наименованию документа" FontName="Times New Roman" FontSize="10" FontStyle="1">
        <UserValues FontName="" FontSize="" FontStyle=""/>
      </Node>
      <Node Code="SysData" FontName="Times New Roman" FontSize="8" FontStyle="32" Name="Системная информация" FontColor="7105791">
        <UserValues FontName="" FontSize="" FontStyle=""/>
      </Node>
      <Node Code="CalcData" FontName="Times New Roman" FontSize="8" FontStyle="64" Name="Расчетные данные" BGColor="13493449">
        <UserValues FontName="" FontSize="" FontStyle=""/>
      </Node>
    </Styles>
    <Borders Name="Границы" Class="CcguiReportBordersDescript">
      <Node Code="None" Name="Нет границ" Type="0"/>
      <Node Code="All" Name="Все границы" Type="0" State="256"/>
      <Node Code="Around" Name="Границы вокруг" State="128"/>
      <Node Code="Subscript" Name="Подстрочник" Type="2" State="8"/>
      <Node Code="TableHeader" Name="Заголовок таблицы" Type="0" State="256"/>
      <Node Code="TableDelimiter" Name="Разделять позиции таблицы" Type="0" State="256">
        <UserValues State=""/>
      </Node>
      <Node Code="TableBody" Name="Разделительные линии таблицы" Type="1" State="96">
        <UserValues State=""/>
      </Node>
    </Borders>
    <Alignments Name="Выравнивание" Class="CcguiReportAlignDescript">
      <Node Code="Left" Name="Влево" Vert="0" Horz="0"/>
      <Node Code="Right" Name="Вправо" Vert="0" Horz="1"/>
      <Node Code="Center" Name="По центру" Vert="0" Horz="2"/>
      <Node Code="Header" Name="Заголовок" Vert="2" Horz="2"/>
    </Alignments>
    <Approximates>
      <Node Code="Price" Name="Цена (точность 2)" NumCount="5" Divider="0" AddZero="0" ShowZero="0" ShowNotFloat="0"/>
      <Node Code="Index" Name="Индекс (точность 3)" NumCount="3" Divider="0"/>
      <Node Code="Quantity" NumCount="10" Divider="0" AddZero="0" ShowZero="0" ShowNotFloat="0" Name="Количество"/>
    </Approximates>
    <Rows>
      <TableDelimiter State="520" Borders="TableDelimiter">
        <Cell ColSpan="7"/>
      </TableDelimiter>
      <Empty Borders="TableBody">
        <Cell ColSpan="7"/>
      </Empty>
    </Rows>
  </Descript>
  <TopColontitul Name="Верхний колонтитул" BaseData="Name" UserData="" UserState="" BaseState="0">
    <Data>
      <Row>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
      </Row>
      <Row>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
      </Row>
      <Row>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
      </Row>
    </Data>
  </TopColontitul>
  <BottomColontitul BaseData="Numbers" UserData="" Name="Нижний колонтитул" BaseState="0" UserState="">
    <Data>
      <Row>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
      </Row>
      <Row>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
      </Row>
      <Row>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
      </Row>
    </Data>
  </BottomColontitul>
  <Title Name="Титульный лист" BaseState="2" UserState="">
    <Data>
      <Row>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
      </Row>
      <Row>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
      </Row>
      <Row>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
      </Row>
    </Data>
  </Title>
  <Data Class="CcguiReportDataDescript" Name="Структура" BaseState="0" UserState="">
    <Data>
      <Row>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
      </Row>
      <Row>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
      </Row>
      <Row>
        <Cell/>
        <Cell ColSpan="3" Value="Справочник конструктивных элементов" BlobState="0" Alignment="Center" Style="DocName"/>
        <Cell/>
        <Cell/>
      </Row>
      <Row>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
      </Row>
      <Row>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
      </Row>
      <Row>
        <Cell  Alignment="Left"  BlobState="0" />
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
        <Cell/>
      </Row>
      <Row>
        <Cell Value="Наименование позиции оглавления" BlobState="0" Alignment="Center" Borders="TableHeader" WrapText="1" RowSpan="3" />
        <Cell ColSpan="3" BlobState="0" Value="Конструктивный элемент" Alignment="Center"  Borders="TableHeader"/>
        <Cell Alignment="Center"  Borders="TableHeader"  Value="Норматив" BlobState="0" ColSpan="2"/>
      </Row>
      <Row>
        <Cell  BlobState="0" Alignment="Center" Borders="TableHeader" WrapText="1"    RowSpan="2" Value="№ п.п."/>
        <Cell Alignment="Center"  Borders="TableHeader" RowSpan="2" Value="Код" BlobState="0"/>
        <Cell Alignment="Center"  Borders="TableHeader" RowSpan="2" Value="Наименование" BlobState="0"/>
        <Cell Alignment="Center"  Borders="TableHeader" RowSpan="2" Value="Краткое наименование" BlobState="0"/>
        <Cell Alignment="Center"  Borders="TableHeader" RowSpan="2" BlobState="0" Value="Код"/>
      </Row>
      <Row>
      </Row>
      <DataProvider Name="CcSQLReportDataProvider" Query="select rank() over (partition by g.rank order by c.rank, c.id) as rank, /**/       g.name group_name, /**/       c.code, /**/       c.name, /**/       c.norm_sname, /**/       c.norm_code /**/from sc_constructive c /**/left join sc_constructive_group g on g.id = c.group_id /**/order by g.rank, c.rank, c.id /**/  /**/              /**/    /**/    /**/   /**/  /**/ /**/">
        <Template Name="DBQuery" Position="CcReportPosition">
          <Data Name="DBQuery">
            <Row>
              <Cell BlobState="0"  Borders="All" Alignment="Left" Data="group_name" WrapText="1"/>
              <Cell Data="rank" BlobState="0" Borders="All" Alignment="Center" WrapText="1"/>
              <Cell  BlobState="0" Borders="All" Alignment="Center" WrapText="1" Data="code"/>
              <Cell  BlobState="0" Borders="All" Alignment="Left" Data="name" WrapText="1"/>
              <Cell  BlobState="0" Borders="All" Alignment="Left"  Data="norm_sname" WrapText="1"/>
              <Cell  BlobState="0" Borders="All" Alignment="Left"  Data="norm_code" WrapText="1"/>
            </Row>
          </Data>
        </Template>
      </DataProvider>
    </Data>
  </Data>
</Root>
